# Uses of Class
org.springframework.aot.generate.GeneratedMethod

Packages that use GeneratedMethod
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GeneratedMethod in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return GeneratedMethod
Modifier and Type
Method
Description
`GeneratedMethod`
GeneratedMethods.`add(String[] suggestedNameParts, Consumer<org.springframework.javapoet.MethodSpec.Builder> method)`
Add a new `GeneratedMethod`.
`GeneratedMethod`
GeneratedMethods.`add(String suggestedName, Consumer<org.springframework.javapoet.MethodSpec.Builder> method)`
Add a new `GeneratedMethod`.